Bug 124936 - kopete eats processor time and memory when starting a chat
Summary: kopete eats processor time and memory when starting a chat
Status: RESOLVED FIXED
Alias: None
Product: kopete
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Kopete Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-04-04 23:29 UTC by Arnout Boelens
Modified: 2006-06-08 09:49 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
debug output from kopete (9.14 KB, application/x-bzip2)
2006-04-20 23:42 UTC, Roman Kalukiewicz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Arnout Boelens 2006-04-04 23:29:44 UTC
Version:           0.11.2 (using KDE 3.5.2, Debian Package 4:3.5.2-1 (testing/unstable))
Compiler:          Target: i486-linux-gnu
OS:                Linux (i686) release 2.6.15-1-k7

when I open a chat using the MSN protocol kopete starts using a lot of processor time and eating memory. As soon as the chat is closed the processor time becomes normal again but the memory is not given free.
Comment 1 Matt Rogers 2006-04-09 01:38:59 UTC
which plugins do you have enabled? If the statistics plugin is among one of the plugins, does turning it off help? 

can you provide debug output? (requires recompiling kopete with the --enable-debug flag passed to configure)
Comment 2 Roman Kalukiewicz 2006-04-20 23:42:01 UTC
Created attachment 15709 [details]
debug output from kopete

I don't know with part you may be interested in (I cannot find anything
interesting), so all debug output is uploaded.
Comment 3 Roman Kalukiewicz 2006-04-20 23:44:46 UTC
I have the same problem with Gadu-Gadu plugin. I recompiled kopete with --enable-debug, and my debug output is attached, but I can't see there anything strange.

The rule is that if you use the same chat window for longer period of time, it starts eating your CPU.

When I see in debug log, that message just arrived:

kopete: KopeteMessage::asXML ** from 3731940
kopete: KopeteMessage::asXML ** from 3731940
libkopete: [virtual Kopete::MessageEvent::~MessageEvent()]

it starts to eat CPU (100%) for about 3 - 5 seconds and then the message shows in chat window.
There is the same situation with outgoing messages. Send, 5sec of 100%CPU, and kopete doesn't respond, and then message shows up, and CPU at reasonable level.

Sorry for my English, but I hope it is understandable ;)
Comment 4 Olivier Goffart 2006-05-13 11:49:11 UTC
It is also maybe the history plugin.
Comment 5 Roman Kalukiewicz 2006-05-13 20:09:13 UTC
I turned off all plugins in Kopete and problem still exists.

Is there anything else I can check for you?
Comment 6 Olivier Goffart 2006-06-07 21:39:41 UTC
What chat window style are you using ?
Try with different chat window style that would change.

Also, please try kopete 0.12
Comment 7 Arnout Boelens 2006-06-08 08:33:15 UTC
For me, kopete 0.12 solved the problems

Arnout
Comment 8 Olivier Goffart 2006-06-08 09:49:43 UTC
Yes, probable the new theme engine, faster